org.apache.tinkerpop.gremlin.process.remote.traversal

## Class DefaultRemoteTraverser<T>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser<T>
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraverser<T>
    - - org.apache.tinkerpop.gremlin.process.remote.traversal.DefaultRemoteTraverser<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Traverser<T>>, RemoteTraverser<T>, Traverser<T>, Traverser.Admin<T>, Attachable<T>

      public class DefaultRemoteTraverser<T>
      extends AbstractRemoteTraverser<T>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `Traverser.Admin<T>`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `t`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `HALT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRemoteTraverser(T t, long bulk)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraverser

      `bulk, setBulk`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.traverser.util.AbstractTraverser

      `addLabels, attach, clone, detach, dropLabels, dropPath, equals, get, getSideEffects, getStepId, hashCode, incrLoops, initialiseLoops, keepLabels, loops, loops, merge, path, resetLoops, sack, sack, set, setSideEffects, setStepId, split, split, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.remote.traversal.RemoteTraverser

      `getTags`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser.Admin

      `addLabels, attach, detach, dropLabels, dropPath, getSideEffects, getStepId, incrLoops, initialiseLoops, isHalted, keepLabels, merge, resetLoops, set, setSideEffects, setStepId, split, split`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traverser

      `asAdmin, clone, compareTo, get, loops, loops, path, path, path, sack, sack, sideEffects, sideEffects`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `get`

- - ### Constructor Detail

    - #### DefaultRemoteTraverser

          public DefaultRemoteTraverser(T t,
                                        long bulk)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.